package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RLevelVo;
import com.xhkjedu.sapi.vo.region.RSResourceVo;
import com.xhkjedu.sapi.vo.region.RSchoolVo;
import com.xhkjedu.sapi.vo.region.ResourceTypeVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName RResourceMapper
 * Description TODO 区域资源统计
 * Author WN
 * Date 2021/7/9 9:37
 **/
@Repository
public interface RResourceAnalyzeMapper {
    //资源统计--数量统计
    Map getRResourceNum();
    Integer getRResourceCollectNum();
    Integer getRQuestionNum();

    //资源学段类型统计
    List<ResourceTypeVo> listRResourceLevelTypeNum();
    //资源格式统计
    List<ResourceTypeVo> listRResourceClassNum();
    //试题学段统计
    List<RLevelVo> listRQuestionLevelNum();
    //试题使用情况统计
    List<RSchoolVo> listRQuestionUse();
    //校本资源统计
    List<RSResourceVo> listRResourceXbType();


}
